Updating Version with Date fails with Error 500

2011-05-27 19:33 - Paul paul

Status: Closed Start date: 2011-05-27

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

RM 1.1.3, Postgres.

Clicking Project --> Settings --> Versions --> Edit (on a Version with no assigned date) and setting the date leads to the attached

error.

Changing Version's properties other than Date seems to work fine. The Version has issues assigned to it (including subtasks).

Processing VersionsController#update (for 192.168.2.26 at 2011-05-27 13:19:22) [PUT]

  Parameters: {"commit"=>"Save", "project_id"=>"myproject", "action"=>"update", "_method"=>"put", 

"authenticity_token"=>"12345", "id"=>"19", "version"=>{"name"=>"My Milestone 2", "wiki_page_title"

=>"", "effective_date"=>"2011-05-31", "description"=>"New  Milestone", "status"=>"open", "sharing"

=>"descendants"}, "controller"=>"versions"}

ArgumentError (comparison of Array with Array failed):

  app/controllers/versions_controller.rb:109:in `update'

  passenger (3.0.7) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_n

ext_request'

  passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_reque

st_handler'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spaw

n_application'

  passenger (3.0.7) lib/phusion_passenger/utils.rb:479:in `safe_fork'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spaw

n_application'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:180:in `start'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.7) helper-scripts/passenger-spawn-server:99

Rendering /usr/local/www/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2011-05-27 21:01 - Etienne Massip

Please give details about your environment according to SubmittingBugs.
#2 - 2011-05-27 21:45 - Paul paul

Apologies. Here are the details:

/usr/local/www/redmine]# RAILS_ENV=production ruby script/about

NOTE: SourceIndex.new(hash) is deprecated; From /usr/local/www/redmine/config/../vendor/rails/railties/lib/rai

ls/vendor_gem_source_index.rb:100:in `new'.

About your application's environment

Ruby version              1.8.7 (i386-freebsd7)

RubyGems version          1.7.2

Rack version              1.3

Rails version             2.3.5

Active Record version     2.3.5

Action Pack version       2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /usr/local/www/redmine

Environment               production

Database adapter          postgresql

Database schema version   20101125102215

About your Redmine plugins

Single Project Forward                   0.1

Redmine Wysiwyg Textile                  0.14

Redmine Issue Control Panel plugin       0.2.0

Redmine Code Review plugin               0.4.1

Bots filter                              1.02

Redmine Stealth plugin                   0.1.0

Libsvn                                   0.0.1

Wiki External Filter Plugin              0.0.2

Watcher Sellection by Group              0.0.1

Redmine Logs plugin                      0.0.1

Forward to Diffs                         0.1

Timesheet Plugin                         0.6.0

Redmine Require Closing Note plugin      0.0.1

Redmine Bugcloud plugin                  0.0.2.1

Redmine Better Gantt Chart plugin        0.5.0

Redmine User Status plugin               0.0.2

Markdown formatter                       0.0.1

Redmine Issue History plugin             0.0.1

Issue Due Date                           0.1.0

Redmine Graphs plugin                    0.1.0

Redmine Drafts plugin                    0.1.1

Redmine Blogs plugin                     0.1.0

Scrumdashboard plugin                    1.2

Redmine Version Burndown Charts plugin   0.0.5

Bulk Time Entry                          0.5.0

Latex Wiki-macro Plugin                  0.0.3

Stuff To Do Plugin                       0.4.0

Redmine Wiki Issue Details plugin        0.1.0

Redmine Local Avatars plugin             0.0.3

Kanban                                   0.2.0

Redmine Extended Spent Time plugin       0.0.1

Advanced report plugin                   0.0.4

Redmine Todo Lists plugin                0.0.4.3

Google Calendar Plugin                   0.1.2

Redmine Charts                           0.1.0

Redmine Codebook plugin                  0.3.1

Redmine Wiki Extensions plugin           0.3.2

Redmine Gitosis plugin                   0.0.5

Architecture Decisions plugin            0.0.9

Redmine Parking Lot Chart plugin         0.0.6

#3 - 2011-05-27 22:03 - Etienne Massip

Can't reproduce on bare Redmine ; never seen so much plugins, though, maybe you should try to activate them one by one til the issue is triggered to

determine the one responsible ?

#4 - 2011-06-29 12:29 - Etienne Massip

- Status changed from New to Closed

- Resolution set to No feedback
